Skip to main content

Detach a VPC from a Group

Detaches a VPC network from the group, identified by the vpc_id query parameter (the VPC's network_id). At least one VPC must remain attached, and the group must be stopped for the operation to succeed.

DELETE/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • vpc_idQueryintegerrequired

    The network_id of the VPC to detach (from VPC Details).

    • required
    • must be the network_id of a currently attached VPC
    example{{vpc_id}}
  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object

VPC detach confirmation.

codeinteger
example200
datastring
examplevpc has been detached successfully
errorsobject
messagestring
exampleSuccess